Name:           safetyblanket
Version:        1.01
Release:        2%{?dist}
Summary:        Creepy blanket simulator

#See LICENSE.txt file in source for details
#All code is zlib excluding slam.lua and AnAL.lua, which is MIT
#All assets are CC-BY 4.0, excluding font, which is CC-BY 3.0
License:        zlib and MIT and CC-BY
URL:            http://tangramgames.dk/games/safetyblanket/
Source0:        https://github.com/SimonLarsen/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Patch for appdata, manpage, execution script, and desktop file
Patch0:         %{name}-appdata.patch
#Patch for LOVE v0.10.2
#https://github.com/SimonLarsen/safetyblanket/pull/2
Patch1:         %{name}-%{version}-love0.10.2.patch

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildArch:      noarch
Requires:       love

# List the arches that love builds on prior to f28
%if 0%{?fedora} < 28
ExclusiveArch: %{arm} %{ix86} x86_64 %{mips} aarch64 ppc64
%endif

#From the website (see URL above)
%description
Safety Blanket was developed in 48 hours for the Ludum Dare 29 game jam.
It’s bed time, the monsters are out to get you, and your blanket is just too
small to cover your body!
Cover your exposed limbs to fend off the approaching tentacles.
The tentacles will only go for your feet, hands and head.
If the tentacles reach you it’s game over!

%prep
%autosetup -p1
sed -i 's/VERSION/%{version}/g' appdata/%{name}.6

%build
#love "binary" files are just zipped sources, but should exclude appdata/docs
zip -r %{name}.love . -x appdata/* -x appdata/ -x LICENSE.txt

%install
#Install love file
install -p -D -m 0644 %{name}.love \
  %{buildroot}/%{_datadir}/%{name}/%{name}.love
#Install execution script
install -p -D -m 0755 appdata/%{name} \
  %{buildroot}/%{_bindir}/%{name}
#Install manpage
install -p -D -m 0644 appdata/%{name}.6 \
  %{buildroot}/%{_mandir}/man6/%{name}.6
#Install appdata.xml and verify
install -p -D -m 0644 appdata/%{name}.appdata.xml \
  %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
appstream-util validate-relax --nonet \
  %{buildroot}/%{_datadir}/appdata/*.appdata.xml
#Install desktop, icon:
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  appdata/%{name}.desktop
install -p -D -m 0644 res/gfx/title_text1.png \
  %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%files
%license LICENSE.txt
%{_mandir}/man6/%{name}.*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/*.appdata.xml

%changelog
* Mon Mar 19 2018 Jeremy Newton <alexjnewt at hotmail dot com> - 1.01-2
- Prepare backport to all fedora branches
- Properly exclude appdata folder from binary

* Sun Mar 18 2018 Jeremy Newton <alexjnewt at hotmail dot com> - 1.01-1
- Initial package
